gnutls_dh_params_generate2(3)

NAME
gnutls_dh_params_generate2 - This function will generate new DH parameters

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_dh_params_generate2(gnutls_dh_params_t params, unsigned int bits);

ARGUMENTS

gnutls_dh_params_t params
    Is the structure that the DH parameters will be stored

unsigned int bits
    is the prime's number of bits

DESCRIPTION
This function will generate a new pair of prime and generator for use in the Diffie-Hellman key exchange. The new parameters will be allocated using gnutls_malloc() and will be stored in the appropriate datum. This function is normally slow. Note that the bits value should be one of 768, 1024, 2048, 3072 or 4096. Also note that the DH parameters are only useful to servers. Since clients use the parameters sent by the server, it's of no use to call this in client side.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2004 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.